OpenVDB 5.1.0

Public Types | Public Member Functions | Friends | List of all members
VolumeHDDA< TreeT, RayT, 0 > Class Template Reference

Specialization of Hierarchical Digital Differential Analyzer class that intersects against the leafs or tiles of a generic volume. More...

`#include <DDA.h>`

## Public Types
typedef TreeT::LeafNodeType | LeafT
typedef RayT::TimeSpan | TimeSpanT

## Public Member Functions
| VolumeHDDA ()
template<typename AccessorT >
TimeSpanT | march (RayT &ray, AccessorT &acc)
template<typename AccessorT , typename ListT >
void | hits (RayT &ray, AccessorT &acc, ListT &times)

## Friends
class | VolumeHDDA< TreeT, RayT, 1 >

## Detailed Description

### template<typename TreeT, typename RayT>
class openvdb::v5_1::math::VolumeHDDA< TreeT, RayT, 0 >

Specialization of Hierarchical Digital Differential Analyzer class that intersects against the leafs or tiles of a generic volume.

## Member Typedef Documentation

## ◆ LeafT

typedef TreeT::LeafNodeType LeafT

## ◆ TimeSpanT

typedef RayT::TimeSpan TimeSpanT

## Constructor & Destructor Documentation

## ◆ VolumeHDDA()

VolumeHDDA | ( |  | ) |
| inline

## Member Function Documentation

## ◆ hits()

void hits | ( | RayT & | ray,
|  | AccessorT & | acc,
|  | ListT & | times
| ) |  |
| inline

## ◆ march()

TimeSpanT march | ( | RayT & | ray,
|  | AccessorT & | acc
| ) |  |
| inline

## Friends And Related Function Documentation

## ◆ VolumeHDDA< TreeT, RayT, 1 >

friend class VolumeHDDA< TreeT, RayT, 1 >
| friend

The documentation for this class was generated from the following file:

- DDA.h